# Modes 1.0.5

Photonic mode solver with a nice interface and output.
Based on a modified version of [EMpy](https://github.com/lbolla/EMpy) and [modesolverpy](https://github.com/jtambasco/modesolverpy)

- semi-vectorial and fully vectorial options,
- simple structure drawing,
- automated data saving and plotting via Matplotlib
- some limited (at this stage) data processing (finding MFD of fundamental mode), and
- easily extensible library

The documentation for this project can be found [here](http://modes.rtfd.io).

## Examples

Take a look at the jupyter notebooks in [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/joamatab/modesolverpy/HEAD)

## Installation

[Github](https://github.com/joamatab/modesolverpy/actions) runs all the tests at least once a day for different versions of python (3.7, 3.8, 3.9)

You can install modes via `pip install modes`

Or you can install the development version if you plan to contribute.

```
git clone https://github.com/joamatab/modesolverpy.git
cd modes
make install
```
